/*
 * Copyright 2009 OW2 Chameleon
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.chameleon.core;


/**
 * Constants defining the different used folders and files.
 * @author clement escoffier clement.escoffier@akquinet.de
 */
public final class Constants {

    /**
     * Complete core.
     */
    public static final String FULL_CORE =
        "src/test/resources/configurations/core_full";

    /**
     * Incomplete core.
     */
    public static final String INCOMPLETE_CORE =
        "src/test/resources/configurations/core_incomplete";

    /**
     * Empty folder.
     */
    public static final String NO_BUNDLES =
        "src/test/resources/configurations/dir_no_bundles";

    /**
     * Folder containing bundles.
     */
    public static final String BUNDLES =
        "src/test/resources/configurations/dir_with_bundles";

    /**
     * Folder containing only configuration file.
     */
    public static final String CONFIGURATION =
        "src/test/resources/configurations/dir_with_configurations";

    /**
     * Folder containing bundles and configuration files.
     */
    public static final String BOTH =
        "src/test/resources/configurations/dir_with_both";

    /**
     * Another folder containing both bundles and configuration
     * files.
     */
    public static final String ANOTHER_BOTH =
        "src/test/resources/configurations/anotherdir_with_both";

    /**
     * A Chameleon configuration file.
     */
    public static final String CONF_FILE =
        "src/test/resources/configurations/chameleon.properties";

    /**
     * Another Chameleon configuration file.
     */
    public static final String ANOTHER_CONF_FILE =
        "src/test/resources/configurations/chameleon-2.properties";

    /**
     * A system configuration file.
     */
    public static final String SYS_FILE =
        "src/test/resources/configurations/system.properties";

    /**
     * Another system configuration file.
     */
    public static final String ANOTHER_SYS_FILE =
        "src/test/resources/configurations/system-2.properties";

    /**
     * Curroupted system properties.
     */
    public static final String CORRUPTED_SYS_FILE =
        "src/test/resources/configurations/system-bad.properties";

    /**
     * Avoids creation.
     */
    private Constants() { }


}
